/*
 * KeyValueValidator.hpp
 *
 *  Created on: May 10, 2012
 *      Author: heber
 */

#ifndef KEYVALUEVALIDATOR_HPP_
#define KEYVALUEVALIDATOR_HPP_


// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "Parameters/Specifics/KeyValuePair.hpp"
#include "Parameters/Validators/Validator.hpp"

/** This validator checks whether the given string is a valid key value
 * concatenation of the following pattern "...=...;"
 */
class KeyValueValidator : public Validator<KeyValuePair>
{
  bool isValid(const KeyValuePair & _value) const;
  bool operator==(const Validator<KeyValuePair> &_instance) const;
  Validator< KeyValuePair >* clone() const;
};


#endif /* KEYVALUEVALIDATOR_HPP_ */
